Package org.apache.storm.kafka.spout.trident

## Class KafkaTridentSpoutConfig.Builder<K,​V>

- java.lang.Object
- - org.apache.storm.kafka.spout.internal.CommonKafkaSpoutConfig.Builder<K,​V,​KafkaTridentSpoutConfig.Builder<K,​V>>
  - - org.apache.storm.kafka.spout.trident.KafkaTridentSpoutConfig.Builder<K,​V>

- Enclosing class:
    KafkaTridentSpoutConfig<K,​V>

      public static class KafkaTridentSpoutConfig.Builder<K,​V>
      extends CommonKafkaSpoutConfig.Builder<K,​V,​KafkaTridentSpoutConfig.Builder<K,​V>>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Builder​(String bootstrapServers, String... topics)` |
    `Builder​(String bootstrapServers, Pattern topics)` |
    `Builder​(String bootstrapServers, Set<String> topics)` |
    `Builder​(String bootstrapServers, TopicFilter topicFilter, ManualPartitioner topicPartitioner)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `KafkaTridentSpoutConfig<K,​V>` | `build()` |

    - ### Methods inherited from class org.apache.storm.kafka.spout.internal.CommonKafkaSpoutConfig.Builder

      `getKafkaProps, setFirstPollOffsetStrategy, setPartitionRefreshPeriodMs, setPollTimeoutMs, setProp, setProp, setProp, setRecordTranslator, setRecordTranslator, setRecordTranslator, setStartTimeStamp`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder​(String bootstrapServers,
                         String... topics)

    - #### Builder

          public Builder​(String bootstrapServers,
                         Set<String> topics)

    - #### Builder

          public Builder​(String bootstrapServers,
                         Pattern topics)

    - #### Builder

          public Builder​(String bootstrapServers,
                         TopicFilter topicFilter,
                         ManualPartitioner topicPartitioner)

  - ### Method Detail

    - #### build

          public KafkaTridentSpoutConfig<K,​V> build()

      Specified by:
        `build` in class `CommonKafkaSpoutConfig.Builder<K,​V,​KafkaTridentSpoutConfig.Builder<K,​V>>`